<?



//ВНИМАНИЕ! Статические классы в Develstudio это полная жопа. Из-за видимо статической переменно (и ее ебнутой работой с кириллицей), в пути пришлось добавить _ перед каждым файлов. По другому пока не получается. Но если прописать путь по русски но сразу весь, то все отрабатывает нормально
// Но после переделывания статических переменных, все стало нормально

// информационные файлы в папке bad_Blocks.not_Del
class Info_files {

	public $pechat_kb_size = 50;
	public $fname_work_in_processed =  "ОБРАБОТКА_НЕ_ЗАВЕРШЕНА!.txt"; 
	public $fname_that_is_this = "Что_здесь_происходит.txt";
	public $fname_prolecheno_diskrevival = "Диск_пролечен_Disk_Revival.txt";

	// файлы создающиеся перед запуском create_blocks
	// вызывается в самом create_blocks, потому что возможно на диск не удастся ничего записать и надо обезопаситься от зависания интерфейса
	function step_create_blocks() {
		GLOBAL $Paths, $log, $Lang;
		// файл-ссылка на сайте. на этом этапе просто пустышка чтобы потом его заменить
		// файл где описано что тут за файлы
		// файл где прямо в имени прописано. что обработка не завершена

		//logFile("Info_files:step_create_blocks()");
		$folder_root = $Paths->root();

		$log->line("Создание информационных файлов в $folder_root");
		clearstatcache();

		n();
		//file_put_contents("$folder_root/b", str_repeat(0, 1024*self::$pechat_kb_size));  . self::$fname_work_in_processed
		file_put_contents("$folder_root/" . $this->fname_work_in_processed, $Lang->get('file.work_in_processed')); // главное чтобы весь в файл с заголовками в mft поместился.
		file_put_contents("$folder_root/" . $this->fname_that_is_this,  $Lang->get('file.that_is_folder'));
		y();
		$log->line("ok");
	}

	function step_final() {
		GLOBAL $log, $Paths, $Lang;

		$folder_root = $Paths->root();

		n();
		unlink("$folder_root/" . $this->fname_work_in_processed); // фиг с ним, один килобайт в mft ни на что не повлияет. Хотя по хорошему надо оставлять.
		file_put_contents("$folder_root/" . $this->fname_prolecheno_diskrevival, $Lang->get('file.prolecheno_diskrevival'));
		y();
	}

	function clear() {
		GLOBAL  $log, $Paths, $Lang;

		$folder_root = $Paths->root();

		n();
		unlink("$folder_root/" . $this->fname_work_in_processed);
		//unlink("$folder_root/" . self::$fname_that_is_this); // думаю, пусть он останется
		unlink("$folder_root/" . $this->fname_prolecheno_diskrevival);
		y();
	}


}


?>